View Issue Details

IDProjectCategoryView StatusLast Update
0004672SOGoActiveSyncpublic2019-10-28 15:25
ReporterIcki153 Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformClientOSAndroidOS VersionOreo
Product Version4.0.5 
Fixed in Version4.1.0 
Summary0004672: Sogo Shared Calendar & Active Sync Android
Description

Hello,

i have problems with Shared Calendar and Active Sync on Android. Personal Calendar are working fine. But if i share a calendar to other User the calendar is initial synced. If I create an event its never uploaded to server. If I use Exchange or SOGo directly then the events created. Any Idea?

Best regards

Steps To Reproduce

Create Event in Public Calendar in SOGo -> Synced to Android = working
Create Event in Public Calendar in Android -> Synced to SOGo = not working

Additional Information

In attached log files.

TagsNo tags attached.

Activities

Icki153

Icki153

2019-02-08 15:48

reporter  

android to sogo.txt (6,062 bytes)   
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d sogod [60]: <0x0x5557f43f2300[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <Collections>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <Collection>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <SyncKey>1549652930</SyncKey>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <CollectionId>vevent%2Fpersonal</CollectionId>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <Options>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <FilterType>0</FilterType>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d </Options>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d </Collection>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d </Collections>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb  8 21:29:31 ad516053d71d sogod [60]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 0/78 0.025 - - 0
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d sogod [60]: <0x0x5557f42b6d00[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <Collections>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <Collection>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <SyncKey>1549652930</SyncKey>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <CollectionId>vtodo%2Fpersonal</CollectionId>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <Options>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d </Options>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d </Collection>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d </Collections>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb  8 21:29:32 ad516053d71d sogod [60]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 0/72 0.017 - - 0
sogo-mailcow_1       | Feb  8 21:29:34 ad516053d71d sogod [60]: <0x0x5557f44f58b0[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached HeatbeatInterval (1370)
sogo-mailcow_1       | Feb  8 21:29:34 ad516053d71d sogod [60]: <0x0x5557f44f58b0[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached folders ("vtodo%2F_4B-5C5DD300-1-F7EEE50", "mail%2Fa8760b085e380c5c4b02000090bdc060", "mail%2F10fb590e0e360c5cab01000090bdc060", "mail%2F82ff561011420c5ce902000090bdc060", "mail%2F78c14837da380c5c4b02000090bdc060", "mail%2F5874a010d7380c5c4b02000090bdc060", "mail%2Fe80d202be2380c5c4b02000090bdc060", "vcard%2Fpersonal", "mail%2F83ff561011420c5ce902000090bdc060", "vtodo%2Fpersonal", "vevent%2F_4B-5C5DD300-1-F7EEE50", "mail%2Fddf83530c1370c5c2802000090bdc060", "mail%2F7542f7000e360c5cab01000090bdc060", "mail%2F98649310e6380c5c4b02000090bdc060", "vevent%2Fpersonal", "mail%2F02389b315c380c5c4b02000090bdc060", "mail%2F90601f362a350c5ce900000090bdc060", "mail%2Fd89d8734c7380c5c4b02000090bdc060", "mail%2F2092f322d3380c5c4b02000090bdc060")
sogo-mailcow_1       | Feb  8 21:29:34 ad516053d71d sogod [60]: <0x0x5557f43e8b10[NGImap4Client]> TLS started successfully.
sogo-mailcow_1       | Feb  8 21:29:35 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2eff0[WOWatchDogChild]> pid 61 has been hanging in the same request for 3 minutes
sogo-mailcow_1       | Feb  8 21:29:35 ad516053d71d sogod [60]: <0x0x5557f44f58b0[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user daniel.jaekel@graf-jaekel.de in Ping...
sogo-mailcow_1       | Feb  8 21:29:36 ad516053d71d sogod [61]: <0x0x5557f44f60a0[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user jennifer.graf@graf-jaekel.de in Ping...
sogo-mailcow_1       | Feb  8 21:29:39 ad516053d71d sogod [477]: mailcowdockerized_watchdog-mailcow_1.mailcowdockerized_mailcow-network "GET /SOGo.index/ HTTP/1.1" 200 2531/0 0.006 - - 0
sogo-mailcow_1       | Feb  8 21:29:41 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2caa0[WOWatchDogChild]> pid 43 has been hanging in the same request for 10 minutes
android to sogo.txt (6,062 bytes)   
Icki153

Icki153

2019-02-08 15:49

reporter  

sogo to android.txt (11,344 bytes)   
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d sogod [60]: <0x0x5557f44f58b0[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d syslog-ng[9]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d <Status>2</Status>
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d <Folders>
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d <Folder>vtodo%2F_4B-5C5DD300-1-F7EEE50</Folder>
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d <Folder>vevent%2F_4B-5C5DD300-1-F7EEE50</Folder>
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d </Folders>
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d syslog-ng[9]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb  8 21:34:13 ad516053d71d sogod [60]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 152/0 279.632 - - 2M
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: <0x0x5557f4402100[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Collections>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Collection>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <SyncKey>1549657063</SyncKey>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <CollectionId>vtodo%2F_4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Options>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Options>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Collection>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Collections>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: <0x0x5557f4402100[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: <0x0x5557f4402100[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Collections>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Collection>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Class>Tasks</Class>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <SyncKey>1549658023</SyncKey>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <CollectionId>vtodo%2F_4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Status>1</Status>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Collection>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Collections>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 106/120 0.032 - - 0
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: <0x0x5557f42a5590[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Collections>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Collection>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <SyncKey>1549657063</SyncKey>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <CollectionId>vevent%2F_4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Options>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <FilterType>0</FilterType>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Options>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Collection>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Collections>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: <0x0x5557f42a5590[SOGoActiveSyncDispatcher]> EAS - Use original serverId: 194-5C5DE780-1-65530200 (null)
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: <0x0x5557f42a5590[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: <0x0x5557f42a5590[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Collections>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Collection>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <SyncKey>1549658023</SyncKey>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <CollectionId>vevent%2F_4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Status>1</Status>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Commands>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Add>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <ServerId>194-5C5DE780-1-65530200</ServerId>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <ApplicationData>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <DTStamp xmlns="Calendar:">20190208T203343Z</DTStamp>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <StartTime xmlns="Calendar:">20190208T203000Z</StartTime>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <EndTime xmlns="Calendar:">20190208T213000Z</EndTime>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <BusyStatus xmlns="Calendar:">2</BusyStatus>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Subject xmlns="Calendar:">test neu</Subject>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <UID xmlns="Calendar:">194-5C5DE780-1-65530200</UID>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <Sensitivity xmlns="Calendar:">0</Sensitivity>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </ApplicationData>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Add>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Commands>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Collection>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d </Collections>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb  8 21:34:14 ad516053d71d sogod [60]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 507/126 0.046 - - 164K
sogo-mailcow_1       | Feb  8 21:34:16 ad516053d71d sogod [60]: <0x0x5557f47f8280[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached HeatbeatInterval (1370)
sogo-mailcow_1       | Feb  8 21:34:16 ad516053d71d sogod [60]: <0x0x5557f47f8280[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached folders ("vtodo%2F_4B-5C5DD300-1-F7EEE50", "mail%2Fa8760b085e380c5c4b02000090bdc060", "mail%2F10fb590e0e360c5cab01000090bdc060", "mail%2F82ff561011420c5ce902000090bdc060", "mail%2F78c14837da380c5c4b02000090bdc060", "mail%2F5874a010d7380c5c4b02000090bdc060", "mail%2Fe80d202be2380c5c4b02000090bdc060", "vcard%2Fpersonal", "mail%2F83ff561011420c5ce902000090bdc060", "vtodo%2Fpersonal", "vevent%2F_4B-5C5DD300-1-F7EEE50", "mail%2Fddf83530c1370c5c2802000090bdc060", "mail%2F7542f7000e360c5cab01000090bdc060", "mail%2F98649310e6380c5c4b02000090bdc060", "vevent%2Fpersonal", "mail%2F02389b315c380c5c4b02000090bdc060", "mail%2F90601f362a350c5ce900000090bdc060", "mail%2Fd89d8734c7380c5c4b02000090bdc060", "mail%2F2092f322d3380c5c4b02000090bdc060")
sogo-mailcow_1       | Feb  8 21:34:16 ad516053d71d sogod [60]: <0x0x5557f4490f60[NGImap4Client]> TLS started successfully.
sogo-mailcow_1       | Feb  8 21:34:18 ad516053d71d sogod [60]: <0x0x5557f47f8280[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user daniel.jaekel@graf-jaekel.de in Ping...
sogo to android.txt (11,344 bytes)   
tfu

tfu

2019-02-11 01:21

reporter   ~0013329

In android_to_sogo.txt I don't see any shared calendar related request coming from the client. Does the file contain the right part of the log around the time when you create an event into the shared calendar?
Are you able to update an event into the shared calendar?

Icki153

Icki153

2019-02-15 16:10

reporter   ~0013369

I checked it again. Wait few minutes more and there are more lines. I attached a new log. But its only few more lines. By testing i noticed when i create or update an event on PC/Sogo Webinterface then all events I created/updated on Android where synced.

  1. create event on android
  2. log when i updated at sogo and the events from android where synced
Icki153

Icki153

2019-02-15 16:10

reporter  

android to sogo_1.txt (15,492 bytes)   
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d sogod [54]: <0x0x5557f7a592e0[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <SyncKey>1550250476</SyncKey>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <CollectionId>vevent%2Fpersonal</CollectionId>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <Options>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <FilterType>0</FilterType>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d </Options>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 15 21:44:02 ad516053d71d sogod [54]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 0/78 0.024 - - 0
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d sogod [54]: <0x0x5557f76f2700[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <SyncKey>1550250476</SyncKey>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <CollectionId>vtodo%2Fpersonal</CollectionId>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <Options>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d </Options>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 15 21:44:03 ad516053d71d sogod [54]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 0/72 0.016 - - 0
sogo-mailcow_1       | Feb 15 21:44:06 ad516053d71d sogod [54]: mailcowdockerized_watchdog-mailcow_1.mailcowdockerized_mailcow-network "GET /SOGo.index/ HTTP/1.1" 200 2531/0 0.004 - - 0
sogo-mailcow_1       | Feb 15 21:44:08 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2dee0[WOWatchDogChild]> pid 24403 has been hanging in the same request for 5 minutes
sogo-mailcow_1       | Feb 15 21:44:09 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2cf20[WOWatchDogChild]> pid 45 has been hanging in the same request for 5 minutes
sogo-mailcow_1       | Feb 15 21:44:11 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2ce70[WOWatchDogChild]> pid 44 has been hanging in the same request for 5 minutes
sogo-mailcow_1       | Feb 15 21:44:23 ad516053d71d sogod [24403]: <0x0x5557f62883d0[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user zzz@zzz.de in Ping...
sogo-mailcow_1       | Feb 15 21:44:27 ad516053d71d sogod [44]: <0x0x5557f8ac8a90[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user xxx@xxx.de in Ping...
sogo-mailcow_1       | Feb 15 21:44:35 ad516053d71d sogod [45]: <0x0x5557f6e75780[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user yyy@yyy.de in Ping...
sogo-mailcow_1       | Feb 15 21:44:35 ad516053d71d sogod [54]: mailcowdockerized_watchdog-mailcow_1.mailcowdockerized_mailcow-network "GET /SOGo.index/ HTTP/1.1" 200 2531/0 0.006 - - 0
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d sogod [54]: <0x0x5557f7d781a0[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d syslog-ng[9]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folders>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2Fa8760b085e380c5c4b02000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F10fb590e0e360c5cab01000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F82ff561011420c5ce902000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F78c14837da380c5c4b02000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F5874a010d7380c5c4b02000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2Fe80d202be2380c5c4b02000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>vcard%2Fpersonal</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Contacts</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F83ff561011420c5ce902000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>vtodo%2Fpersonal</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Tasks</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>vevent%2F_4B-5C5DD300-1-F7EEE50</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2Fddf83530c1370c5c2802000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F7542f7000e360c5cab01000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F98649310e6380c5c4b02000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>vevent%2Fpersonal</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F02389b315c380c5c4b02000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F90601f362a350c5ce900000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2Fd89d8734c7380c5c4b02000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Id>mail%2F2092f322d3380c5c4b02000090bdc060</Id>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d <Class>Email</Class>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d </Folders>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d syslog-ng[9]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 15 21:44:51 ad516053d71d sogod [54]: <0x0x5557f7d5a770[NGImap4Client]> TLS started successfully.
sogo-mailcow_1       | Feb 15 21:44:52 ad516053d71d sogod [4549]: mailcowdockerized_watchdog-mailcow_1.mailcowdockerized_mailcow-network "GET /SOGo.index/ HTTP/1.1" 200 2531/0 0.011 - - 0
sogo-mailcow_1       | Feb 15 21:44:52 ad516053d71d sogod [54]: <0x0x5557f7d781a0[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user yyy@yyy.de in Ping...
sogo-mailcow_1       | Feb 15 21:45:01 ad516053d71d CRON[5234]: pam_unix(cron:session): session opened for user sogo by (uid=0)
sogo-mailcow_1       | Feb 15 21:45:01 ad516053d71d CRON[5233]: pam_unix(cron:session): session opened for user sogo by (uid=0)
sogo-mailcow_1       | Feb 15 21:45:01 ad516053d71d CRON[5235]: (sogo) CMD (  /usr/sbin/sogo-tool expire-sessions 60)
sogo-mailcow_1       | Feb 15 21:45:01 ad516053d71d CRON[5236]: (sogo) CMD (  /usr/sbin/sogo-ealarms-notify -p /etc/sogo/sieve.creds 2>/dev/null)
sogo-mailcow_1       | Feb 15 21:45:02 ad516053d71d CRON[5234]: pam_unix(cron:session): session closed for user sogo
sogo-mailcow_1       | Feb 15 21:45:02 ad516053d71d CRON[5233]: pam_unix(cron:session): session closed for user sogo
sogo-mailcow_1       | Feb 15 21:45:08 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2dee0[WOWatchDogChild]> pid 24403 has been hanging in the same request for 6 minutes
sogo-mailcow_1       | Feb 15 21:45:08 ad516053d71d sogod [24403]: <0x0x5557f62883d0[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user zzz@zzz.de in Ping...
sogo-mailcow_1       | Feb 15 21:45:09 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2cf20[WOWatchDogChild]> pid 45 has been hanging in the same request for 6 minutes
sogo-mailcow_1       | Feb 15 21:45:11 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2ce70[WOWatchDogChild]> pid 44 has been hanging in the same request for 6 minutes
sogo-mailcow_1       | Feb 15 21:45:13 ad516053d71d sogod [4549]: mailcowdockerized_watchdog-mailcow_1.mailcowdockerized_mailcow-network "GET /SOGo.index/ HTTP/1.1" 200 2531/0 0.005 - - 0
sogo-mailcow_1       | Feb 15 21:45:13 ad516053d71d sogod [44]: <0x0x5557f8ac8a90[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user xxx@xxx.de in Ping...
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d sogod [45]: <0x0x5557f6e75780[SOGoActiveSyncDispatcher]> EAS - Ping request canceled (54)
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d sogod [45]: <0x0x5557f6e75780[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d syslog-ng[9]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d <Status>5</Status>
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d <HeartbeatInterval>3540</HeartbeatInterval>
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d syslog-ng[9]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d sogod [45]: [ERROR] <0x0x5557f6e8b2a0[WOHttpTransaction]> client disconnected during delivery of response for <WORequest[0x0x5557f6d78d60]: method=POST uri=/SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice app=SOGo rqKey=Microsoft-Server-ActiveSync rqPath=(null)> (len=21): the socket was shutdown
sogo-mailcow_1       | Feb 15 21:45:22 ad516053d71d sogod [45]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 21/949 372.268 - - 528K
sogo-mailcow_1       | Feb 15 21:45:39 ad516053d71d sogod [54]: <0x0x5557f7d781a0[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user yyy@yyy.de in Ping...
android to sogo_1.txt (15,492 bytes)   
Icki153

Icki153

2019-02-15 16:11

reporter  

update event on sogo + sync on android.txt (28,562 bytes)   
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d sogod [4549]: <0x0x5557f40ae700[SOGoActiveSyncDispatcher]> Change detected using Ping, we let the EAS client know to send a Sync.
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d sogod [4549]: <0x0x5557f40ae700[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d syslog-ng[9]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d <Status>2</Status>
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d <Folders>
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d <Folder>vevent%2F_4B-5C5DD300-1-F7EEE50</Folder>
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d </Folders>
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d syslog-ng[9]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 15 22:01:36 ad516053d71d sogod [4549]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 84/949 279.620 - - 1M
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d sogod [4549]: <0x0x5557f4582e10[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <SyncKey>1550264042</SyncKey>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <CollectionId>vevent%2F_4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Options>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <FilterType>0</FilterType>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Options>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Commands>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Change>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <ServerId>36-5C672700-5-4D70D280</ServerId>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <ApplicationData>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <StartTime xmlns="Calendar:">20190215T210000Z</StartTime>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <EndTime xmlns="Calendar:">20190215T220000Z</EndTime>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <DTStamp xmlns="Calendar:">20190215T210142Z</DTStamp>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Subject xmlns="Calendar:">test pc</Subject>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Sensitivity xmlns="Calendar:">0</Sensitivity>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Body xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Data/>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Body>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <UID xmlns="Calendar:">36-5C672700-5-4D70D280</UID>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <BusyStatus xmlns="Calendar:">2</BusyStatus>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </ApplicationData>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Change>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Commands>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d sogod [4549]: <0x0x5557f4582e10[SOGoActiveSyncDispatcher]> EAS - Change - Process change for folder _4B-5C5DD300-1-F7EEE50 easId 36-5C672700-5-4D70D280
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d sogod [4549]: <0x0x5557f4582e10[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d sogod [4549]: <0x0x5557f4582e10[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <SyncKey>1550264042</SyncKey>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <CollectionId>vevent%2F_4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Status>1</Status>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Responses>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Change>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <ServerId>36-5C672700-5-4D70D280</ServerId>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d <Status>1</Status>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Change>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Responses>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 15 22:01:37 ad516053d71d sogod [4549]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 145/530 0.090 - - 0
sogo-mailcow_1       | Feb 15 22:01:43 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2cf20[WOWatchDogChild]> pid 45 has been hanging in the same request for 10 minutes
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: <0x0x5557f8f73580[SOGoActiveSyncDispatcher]> Change detected using Ping, we let the EAS client know to send a Sync.
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: <0x0x5557f8f73580[SOGoActiveSyncDispatcher]> EAS - response for device SEC1FE204399BD80: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Status>2</Status>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Folders>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Folder>vevent%2F4B-5C5DD300-1-F7EEE50</Folder>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Folders>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=xxx@xxx.de&DeviceId=SEC1FE204399BD80&DeviceType=SamsungDevice HTTP/1.0" 200 49/0 451.580 - - 0
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: <0x0x5557f88b14c0[SOGoActiveSyncDispatcher]> EAS - request for device SEC1FE204399BD80: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <SyncKey>1550264042</SyncKey>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <CollectionId>vevent%2F4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Options>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <FilterType>0</FilterType>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Options>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: <0x0x5557f88b14c0[SOGoActiveSyncDispatcher]> EAS - Use original serverId: 36-5C672880-7-4D70D280 (null)
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: <0x0x5557f88b14c0[SOGoActiveSyncDispatcher]> EAS - Use original serverId: 36-5C672700-5-4D70D280 (null)
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: <0x0x5557f88b14c0[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: <0x0x5557f88b14c0[SOGoActiveSyncDispatcher]> EAS - response for device SEC1FE204399BD80: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <SyncKey>1550264497</SyncKey>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <CollectionId>vevent%2F4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Status>1</Status>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Commands>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Add>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <ServerId>36-5C672880-7-4D70D280</ServerId>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <ApplicationData>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <DTStamp xmlns="Calendar:">20190215T210112Z</DTStamp>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <StartTime xmlns="Calendar:">20190215T210000Z</StartTime>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <EndTime xmlns="Calendar:">20190215T220000Z</EndTime>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <BusyStatus xmlns="Calendar:">2</BusyStatus>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Subject xmlns="Calendar:">test pc1</Subject>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <UID xmlns="Calendar:">36-5C672880-7-4D70D280</UID>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Sensitivity xmlns="Calendar:">0</Sensitivity>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </ApplicationData>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Add>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Change>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <ServerId>36-5C672700-5-4D70D280</ServerId>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <ApplicationData>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <DTStamp xmlns="Calendar:">20190215T205402Z</DTStamp>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <StartTime xmlns="Calendar:">20190215T210000Z</StartTime>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <EndTime xmlns="Calendar:">20190215T220000Z</EndTime>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <BusyStatus xmlns="Calendar:">2</BusyStatus>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Subject xmlns="Calendar:">test pc</Subject>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <UID xmlns="Calendar:">36-5C672700-5-4D70D280</UID>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <Sensitivity xmlns="Calendar:">0</Sensitivity>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </ApplicationData>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Change>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Commands>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 15 22:01:55 ad516053d71d sogod [44]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=xxx@xxx.de&DeviceId=SEC1FE204399BD80&DeviceType=SamsungDevice HTTP/1.0" 200 864/91 0.049 - - 0
sogo-mailcow_1       | Feb 15 22:01:56 ad516053d71d sogod [44]: <0x0x5557f9210090[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached HeatbeatInterval (3540)
sogo-mailcow_1       | Feb 15 22:01:56 ad516053d71d sogod [44]: <0x0x5557f9210090[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached folders ("mail%2Fa8760b085e380c5c4b02000090bdc060", "mail%2F10fb590e0e360c5cab01000090bdc060", "mail%2F82ff561011420c5ce902000090bdc060", "mail%2F78c14837da380c5c4b02000090bdc060", "mail%2F5874a010d7380c5c4b02000090bdc060", "mail%2Fe80d202be2380c5c4b02000090bdc060", "vcard%2Fpersonal", "mail%2F83ff561011420c5ce902000090bdc060", "vtodo%2Fpersonal", "vevent%2F_4B-5C5DD300-1-F7EEE50", "mail%2Fddf83530c1370c5c2802000090bdc060", "mail%2F7542f7000e360c5cab01000090bdc060", "mail%2F98649310e6380c5c4b02000090bdc060", "vevent%2Fpersonal", "mail%2F02389b315c380c5c4b02000090bdc060", "mail%2F90601f362a350c5ce900000090bdc060", "mail%2Fd89d8734c7380c5c4b02000090bdc060", "mail%2F2092f322d3380c5c4b02000090bdc060")
sogo-mailcow_1       | Feb 15 22:01:56 ad516053d71d sogod [44]: <0x0x5557f9458c40[NGImap4Client]> TLS started successfully.
sogo-mailcow_1       | Feb 15 22:01:57 ad516053d71d sogod [4549]: <0x0x5557f4789950[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached HeatbeatInterval (3540)
sogo-mailcow_1       | Feb 15 22:01:57 ad516053d71d sogod [4549]: <0x0x5557f4789950[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached folders ("vcard%2Fpersonal", "vtodo%2Fpersonal", "mail%2Fc09e7418ba350c5c0501000090bdc060", "vevent%2F4B-5C5DD300-1-F7EEE50", "vevent%2Fpersonal")
sogo-mailcow_1       | Feb 15 22:01:57 ad516053d71d sogod [4549]: <0x0x5557f4864640[NGImap4Client]> TLS started successfully.
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d sogod [4549]: <0x0x5557f4789950[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user xxx@xxx.de in Ping...
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d sogod [44]: <0x0x5557f9210090[SOGoActiveSyncDispatcher]> Change detected using Ping, we let the EAS client know to send a Sync.
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d sogod [44]: <0x0x5557f9210090[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d syslog-ng[9]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d <Status>2</Status>
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d <Folders>
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d <Folder>vevent%2F_4B-5C5DD300-1-F7EEE50</Folder>
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d </Folders>
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d syslog-ng[9]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 15 22:01:58 ad516053d71d sogod [44]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 84/0 1.810 - - 852K
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d sogod [44]: <0x0x5557f9150350[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <SyncKey>1550264042</SyncKey>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <CollectionId>vevent%2F_4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Options>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <FilterType>0</FilterType>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </Options>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d sogod [44]: <0x0x5557f9150350[SOGoActiveSyncDispatcher]> EAS - Use original serverId: 36-5C672880-7-4D70D280 (null)
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d sogod [44]: <0x0x5557f9150350[SOGoActiveSyncDispatcher]> EAS - Use original serverId: 36-5C672700-5-4D70D280 (null)
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d sogod [44]: <0x0x5557f9150350[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d sogod [44]: <0x0x5557f9150350[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d syslog-ng[9]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d syslog-ng[9]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <SyncKey>1550264497</SyncKey>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <CollectionId>vevent%2F_4B-5C5DD300-1-F7EEE50</CollectionId>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Status>1</Status>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Commands>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Add>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <ServerId>36-5C672880-7-4D70D280</ServerId>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <ApplicationData>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <AllDayEvent xmlns="Calendar:">0</AllDayEvent>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <DTStamp xmlns="Calendar:">20190215T210112Z</DTStamp>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <StartTime xmlns="Calendar:">20190215T210000Z</StartTime>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <EndTime xmlns="Calendar:">20190215T220000Z</EndTime>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <BusyStatus xmlns="Calendar:">2</BusyStatus>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <MeetingStatus xmlns="Calendar:">0</MeetingStatus>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Subject xmlns="Calendar:">test pc1</Subject>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <UID xmlns="Calendar:">36-5C672880-7-4D70D280</UID>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <Sensitivity xmlns="Calendar:">0</Sensitivity>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d <NativeBodyType xmlns="AirSyncBase:">1</NativeBodyType>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </ApplicationData>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </Add>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </Commands>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d syslog-ng[9]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 15 22:01:59 ad516053d71d sogod [44]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 505/126 0.048 - - 0
sogo-mailcow_1       | Feb 15 22:02:01 ad516053d71d CRON[5395]: pam_unix(cron:session): session opened for user sogo by (uid=0)
sogo-mailcow_1       | Feb 15 22:02:01 ad516053d71d CRON[5397]: (sogo) CMD (  /usr/sbin/sogo-tool expire-sessions 60)
sogo-mailcow_1       | Feb 15 22:02:01 ad516053d71d CRON[5396]: pam_unix(cron:session): session opened for user sogo by (uid=0)
sogo-mailcow_1       | Feb 15 22:02:01 ad516053d71d CRON[5399]: (sogo) CMD (  /usr/sbin/sogo-ealarms-notify -p /etc/sogo/sieve.creds 2>/dev/null)
sogo-mailcow_1       | Feb 15 22:02:02 ad516053d71d CRON[5396]: pam_unix(cron:session): session closed for user sogo
sogo-mailcow_1       | Feb 15 22:02:02 ad516053d71d CRON[5395]: pam_unix(cron:session): session closed for user sogo
sogo-mailcow_1       | Feb 15 22:02:04 ad516053d71d sogod [44]: mailcowdockerized_watchdog-mailcow_1.mailcowdockerized_mailcow-network "GET /SOGo.index/ HTTP/1.1" 200 2531/0 0.007 - - 0
sogo-mailcow_1       | Feb 15 22:02:13 ad516053d71d sogod [45]: <0x0x5557f6f9c250[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user zzz@zzz.de in Ping...
sogo-mailcow_1       | Feb 15 22:02:27 ad516053d71d sogod [44]: mailcowdockerized_watchdog-mailcow_1.mailcowdockerized_mailcow-network "GET /SOGo.index/ HTTP/1.1" 200 2531/0 0.007 - - 0
sogo-mailcow_1       | Feb 15 22:02:43 ad516053d71d sogod [11]: [WARN] <0x0x5557f3f2cf20[WOWatchDogChild]> pid 45 has been hanging in the same request for 11 minutes
sogo-mailcow_1       | Feb 15 22:02:43 ad516053d71d sogod [4549]: <0x0x5557f4789950[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user xxx@xxx.de in Ping...
sogo-mailcow_1       | Feb 15 22:02:44 ad516053d71d sogod [44]: <0x0x5557f8660700[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached HeatbeatInterval (3540)
sogo-mailcow_1       | Feb 15 22:02:44 ad516053d71d sogod [44]: <0x0x5557f8660700[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached folders ("mail%2Fa8760b085e380c5c4b02000090bdc060", "mail%2F10fb590e0e360c5cab01000090bdc060", "mail%2F82ff561011420c5ce902000090bdc060", "mail%2F78c14837da380c5c4b02000090bdc060", "mail%2F5874a010d7380c5c4b02000090bdc060", "mail%2Fe80d202be2380c5c4b02000090bdc060", "vcard%2Fpersonal", "mail%2F83ff561011420c5ce902000090bdc060", "vtodo%2Fpersonal", "vevent%2F_4B-5C5DD300-1-F7EEE50", "mail%2Fddf83530c1370c5c2802000090bdc060", "mail%2F7542f7000e360c5cab01000090bdc060", "mail%2F98649310e6380c5c4b02000090bdc060", "vevent%2Fpersonal", "mail%2F02389b315c380c5c4b02000090bdc060", "mail%2F90601f362a350c5ce900000090bdc060", "mail%2Fd89d8734c7380c5c4b02000090bdc060", "mail%2F2092f322d3380c5c4b02000090bdc060")
sogo-mailcow_1       | Feb 15 22:02:44 ad516053d71d sogod [44]: <0x0x5557f93833b0[NGImap4Client]> TLS started successfully.
sogo-mailcow_1       | Feb 15 22:02:44 ad516053d71d sogod [24403]: <0x0x5557f5c30ca0[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached HeatbeatInterval (3540)
sogo-mailcow_1       | Feb 15 22:02:44 ad516053d71d sogod [24403]: <0x0x5557f5c30ca0[SOGoActiveSyncDispatcher]> EAS - Empty Ping request - using cached folders ("vcard%2Fpersonal", "vtodo%2Fpersonal", "vevent%2Fpersonal")
sogo-mailcow_1       | Feb 15 22:02:44 ad516053d71d sogod [24403]: <0x0x5557f5c30ca0[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user zzz@zzz.de in Ping...
sogo-mailcow_1       | Feb 15 22:02:45 ad516053d71d sogod [44]: <0x0x5557f8660700[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user yyy@yyy.de in Ping...
tfu

tfu

2019-02-16 03:44

reporter   ~0013371

If I understand you right, changes on android are synced to server only when there are changes on server to be sent to client. Right? When

In android to sogo_1.txt I see just some sync-requests (server->client) and Pings (push). You could try to change from push-sync to manual sync and check again.

Icki153

Icki153

2019-02-16 11:10

reporter   ~0013372

Yeah thats right.

How can i change this? Or do you mean i should click on synchronize in Android calendar before the push is done?

tfu

tfu

2019-02-16 14:51

reporter   ~0013373

How can i change this?
It's a setting of the ActiveSync account on your mobile.

Check what's happening when you do a manual sync after you have added an event.

Icki153

Icki153

2019-02-25 15:14

reporter   ~0013416

Now i had time to test it.

It's already the same when I do an manual sync. Here's the log. It looks like the other logs when push sync is active.

Icki153

Icki153

2019-02-25 15:14

reporter  

manual_sync.txt (12,947 bytes)   
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d sogod [59]: <0x0x55800714c1e0[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <SyncKey>1551125203</SyncKey>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <CollectionId>vevent%2Fpersonal</CollectionId>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Options>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <FilterType>0</FilterType>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Options>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d sogod [59]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 0/78 0.019 - - 0
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d sogod [59]: <0x0x5580071326b0[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Folders>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Id>vcard%2Fpersonal</Id>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Class>Contacts</Class>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Id>vtodo%2F4B-5C5DD300-1-F7EEE50</Id>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Class>Tasks</Class>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Id>vevent%2F4B-5C5DD300-1-F7EEE50</Id>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Folders>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d sogod [59]: <0x0x5580071326b0[SOGoActiveSyncDispatcher]> EAS - Ping - Save folderlist to cache (HeartbeatInterval: 3540) (("vcard%2Fpersonal", "vtodo%2F4B-5C5DD300-1-F7EEE50", "vevent%2F4B-5C5DD300-1-F7EEE50"))
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d sogod [59]: <0x0x5580071326b0[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user daniel.jaekel@graf-jaekel.de in Ping...
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d sogod [57]: <0x0x5580071b9ad0[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: <Sync xmlns="AirSync:">
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Collections>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Collection>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <SyncKey>1551125203</SyncKey>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <CollectionId>vtodo%2Fpersonal</CollectionId>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <DeletesAsMoves/>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <GetChanges/>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <WindowSize>5</WindowSize>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Options>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <BodyPreference xmlns="AirSyncBase:">
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <Type>1</Type>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d <TruncationSize>400000</TruncationSize>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </BodyPreference>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Options>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Collection>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d </Collections>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d syslog-ng[10]: Error processing log message: </Sync>
sogo-mailcow_1       | Feb 25 21:07:27 ad516053d71d sogod [57]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 0/72 0.048 - - 0
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d sogod [63]: <0x0x5580070a74e0[SOGoActiveSyncDispatcher]> EAS - Ping request canceled (59)
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d sogod [63]: <0x0x5580070a74e0[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d syslog-ng[10]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d syslog-ng[10]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d <Status>5</Status>
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d <HeartbeatInterval>3540</HeartbeatInterval>
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d syslog-ng[10]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d sogod [63]: [ERROR] <0x0x558007241a10[WOHttpTransaction]> client disconnected during delivery of response for <WORequest[0x0x558007260a00]: method=POST uri=/SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice app=SOGo rqKey=Microsoft-Server-ActiveSync rqPath=(null)> (len=21): the socket was shutdown
sogo-mailcow_1       | Feb 25 21:07:28 ad516053d71d sogod [63]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 21/206 45.037 - - 0
sogo-mailcow_1       | Feb 25 21:07:36 ad516053d71d sogod [58]: <0x0x558006af9170[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user jennifer.graf@graf-jaekel.de in Ping...
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d sogod [63]: <0x0x558006a37b40[SOGoActiveSyncDispatcher]> EAS - request for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d syslog-ng[10]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d syslog-ng[10]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Folders>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Id>vcard%2Fpersonal</Id>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Class>Contacts</Class>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Id>vtodo%2F4B-5C5DD300-1-F7EEE50</Id>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Class>Tasks</Class>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Id>vtodo%2Fpersonal</Id>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Class>Tasks</Class>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Id>vevent%2F4B-5C5DD300-1-F7EEE50</Id>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Id>vevent%2Fpersonal</Id>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d <Class>Calendar</Class>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d </Folder>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d </Folders>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d syslog-ng[10]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d sogod [63]: <0x0x558006a37b40[SOGoActiveSyncDispatcher]> EAS - Ping - Save folderlist to cache (HeartbeatInterval: 3540) (("vcard%2Fpersonal", "vtodo%2F4B-5C5DD300-1-F7EEE50", "vtodo%2Fpersonal", "vevent%2F4B-5C5DD300-1-F7EEE50", "vevent%2Fpersonal"))
sogo-mailcow_1       | Feb 25 21:07:37 ad516053d71d sogod [63]: <0x0x558006a37b40[SOGoActiveSyncDispatcher]> Sleeping 45 seconds while detecting changes for user daniel.jaekel@graf-jaekel.de in Ping...
sogo-mailcow_1       | Feb 25 21:07:48 ad516053d71d sogod [12]: [WARN] <0x0x558006cb0470[WOWatchDogChild]> pid 64 has been hanging in the same request for 5 minutes
sogo-mailcow_1       | Feb 25 21:07:49 ad516053d71d sogod [60]: <0x0x55800726a1d0[SOGoActiveSyncDispatcher]> EAS - Ping request canceled (63)
sogo-mailcow_1       | Feb 25 21:07:49 ad516053d71d sogod [60]: <0x0x55800726a1d0[SOGoActiveSyncDispatcher]> EAS - response for device SEC1053D17C8B278: <?xml version="1.0"?>
sogo-mailcow_1       | Feb 25 21:07:49 ad516053d71d syslog-ng[10]: Error processing log message: <!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/">
sogo-mailcow_1       | Feb 25 21:07:49 ad516053d71d syslog-ng[10]: Error processing log message: <Ping xmlns="Ping:">
sogo-mailcow_1       | Feb 25 21:07:49 ad516053d71d <Status>1</Status>
sogo-mailcow_1       | Feb 25 21:07:49 ad516053d71d syslog-ng[10]: Error processing log message: </Ping>
sogo-mailcow_1       | Feb 25 21:07:49 ad516053d71d sogod [60]: [ERROR] <0x0x55800727d2d0[WOHttpTransaction]> client disconnected during delivery of response for <WORequest[0x0x5580072ff6c0]: method=POST uri=/SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice app=SOGo rqKey=Microsoft-Server-ActiveSync rqPath=(null)> (len=13): the socket was shutdown
sogo-mailcow_1       | Feb 25 21:07:49 ad516053d71d sogod [60]: xx.xx.xx.xx "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=yyy@yyy.de&DeviceId=SEC1053D17C8B278&DeviceType=SamsungDevice HTTP/1.0" 200 13/0 45.054 - - 0
sogo-mailcow_1       | Feb 25 21:07:51 ad516053d71d sogod [60]: mailcowdockerized_watchdog-mailcow_1.mailcowdockerized_mailcow-network "GET /SOGo.index/ HTTP/1.1" 200 2531/0 0.003 - - 0
sogo-mailcow_1       | Feb 25 21:08:01 ad516053d71d CRON[111]: pam_unix(cron:session): session opened for user sogo by (uid=0)
sogo-mailcow_1       | Feb 25 21:08:01 ad516053d71d CRON[110]: pam_unix(cron:session): session opened for user sogo by (uid=0)
sogo-mailcow_1       | Feb 25 21:08:01 ad516053d71d CRON[114]: (sogo) CMD (  /usr/sbin/sogo-tool expire-sessions 60)
sogo-mailcow_1       | Feb 25 21:08:01 ad516053d71d CRON[115]: (sogo) CMD (  /usr/sbin/sogo-ealarms-notify -p /etc/sogo/sieve.creds 2>/dev/null)
sogo-mailcow_1       | Feb 25 21:08:02 ad516053d71d CRON[111]: pam_unix(cron:session): session closed for user sogo
sogo-mailcow_1       | Feb 25 21:08:02 ad516053d71d CRON[110]: pam_unix(cron:session): session closed for user sogo
manual_sync.txt (12,947 bytes)   
tfu

tfu

2019-02-26 05:24

reporter   ~0013417

I'm not able to reproduce the problem.

Can you try to test with multiple calendars instead of a shared calendar.
If you see the same problem it could be a problem with the APP used on your mobile phone.
You could try to test with other apps like Nine or Touchdown just to check whether the behavior is changing.

Icki153

Icki153

2019-03-09 12:08

reporter   ~0013433

I give it a try and it works well with nine. Thank you for help.

Socs28

Socs28

2019-03-26 13:55

reporter   ~0013497

I can confirm I am having the same issue. Manual sync doesn't doesn't work.

Socs28

Socs28

2019-03-26 13:57

reporter   ~0013498

I am on SOGo 4.0.7 with Android 9 on a Samsung Galaxy S10, and it doesn't matter if I use the Android Exchange account or the Samsung Exchange ActiveSync account.

tfu

tfu

2019-03-28 05:13

reporter   ~0013500

As stated above, I'm not able to reproduce the problem.
Can you try to test with multiple calendars instead of a shared calendars.

I more complete sogo.log (SOGoEASDebugEnabled) of a test would help + some description of timing when events were added/changed on server or client.

If you could test with a non-Samsung device would help to get a more complete picture.

Socs28

Socs28

2019-03-28 16:06

reporter   ~0013502

What do you mean by multiple calendars instead of shared calendars? My son has an LG smartphone and has the same result. I'll enable EAS debug and post.

tfu

tfu

2019-03-28 16:53

reporter   ~0013503

What do you mean by multiple calendars instead of shared calendars?

You confirmed that you have same problem as reported in the bug, so I assume you are using shared calendars. I just want to see whether multiple calendars work (i.e. create an additional calendar via the webui and check whether it is synced).

Socs28

Socs28

2019-03-29 12:46

reporter   ~0013505

A second nonshared calendar works fine, though sometimes ends up duplicating appointments

Socs28

Socs28

2019-03-29 18:49

reporter   ~0013508

For whatever reason this has started working close to properly. I will update if it stops again. I am not aware of anything being updated.

tfu

tfu

2019-04-06 08:05

reporter   ~0013526

I think I found the cause of the problem. The issue is caused by the FolderSync response when having multiple calendars to sync.
As fare I can say the problem is specific to Samsung devices.
Working on a fix....

tfu

tfu

2019-04-07 04:25

reporter   ~0013528

I've sent a potential fix to Ludovic for review.
Note: When the fix is included the EAS profile has to be recreated.

DeLord

DeLord

2019-05-03 15:04

reporter   ~0013561

Hi, I am also experiencing this bug with Samsung devices. Any news on this? Is there a patch which I could test? Will this end up in the next version? How is the status?

Thanks in advance!

mjnman

mjnman

2019-05-06 08:39

reporter   ~0013563

Hi,
I have a huawei (android 8) and xiaomi (android 9) I saw the same issue.
thanks

tfu

tfu

2019-05-30 09:42

reporter  

4672.diff (4,964 bytes)   
diff --git a/ActiveSync/SOGoActiveSyncDispatcher.m b/ActiveSync/SOGoActiveSyncDispatcher.m
index b33cb4a..8b680c0 100644
--- a/ActiveSync/SOGoActiveSyncDispatcher.m
+++ b/ActiveSync/SOGoActiveSyncDispatcher.m
@@ -802,7 +802,7 @@ void handle_eas_terminate(int signum)
 - (void) processFolderSync: (id <DOMElement>) theDocumentElement
                 inResponse: (WOResponse *) theResponse
 {
-  NSString *key, *cKey, *nkey, *name, *serverId, *parentId, *nameInCache, *personalFolderName, *syncKey, *folderType, *operation;
+  NSString *key, *cKey, *nkey, *name, *serverId, *parentId, *nameInCache, *personalFolderName, *syncKey, *folderType, *operation, *parent;
   NSMutableArray *folders, *processedFolders, *allFoldersMetadata;
   NSMutableDictionary *cachedGUIDs, *metadata;
   NSDictionary *folderMetadata, *imapGUIDs;
@@ -1173,9 +1173,19 @@ void handle_eas_terminate(int signum)
          {
            if ([[folders objectAtIndex:fi] isKindOfClass: [SOGoAppointmentFolder class]])
              {
-               type = ([[[folders objectAtIndex:fi] nameInContainer] isEqualToString: personalFolderName] ? 8 : 13);
+               if ([[[folders objectAtIndex:fi] nameInContainer] isEqualToString: personalFolderName])
+                 {
+                   type = 8;
+                   parent = @"0";
+                 }
+               else
+                 {
+                   type = 13;
+                   parent = [NSString stringWithFormat: @"vevent/%@",personalFolderName];
+                 }
+
                [commands appendFormat: @"<%@><ServerId>%@</ServerId><ParentId>%@</ParentId><DisplayName>%@</DisplayName><Type>%d</Type></%@>", operation,
-                   [name stringByEscapingURL], @"0", [[[folders objectAtIndex:fi] displayName] activeSyncRepresentationInContext: context], type, operation];
+                   [name stringByEscapingURL], [parent stringByEscapingURL], [[[folders objectAtIndex:fi] displayName] activeSyncRepresentationInContext: context], type, operation];
 
                command_count++;
 
@@ -1183,7 +1193,17 @@ void handle_eas_terminate(int signum)
                [o save];
 
                name = [NSString stringWithFormat: @"vtodo/%@", [[folders objectAtIndex:fi] nameInContainer]];
-               type = ([[[folders objectAtIndex:fi] nameInContainer] isEqualToString: personalFolderName] ? 7 : 15);
+               if ([[[folders objectAtIndex:fi] nameInContainer] isEqualToString: personalFolderName])
+                 {
+                   type = 7;
+                   parent = @"0";
+                 }
+               else
+                 {
+                   type = 15;
+                   parent = [NSString stringWithFormat: @"vtodo/%@",personalFolderName];
+                 }
+
 
                // We always sync the "Default Tasks folder" (7). For "User-created Tasks folder" (15), we check if we include it in
                // the sync process by checking if "Show tasks" is enabled. If not, we skip the folder entirely.
@@ -1191,7 +1211,7 @@ void handle_eas_terminate(int signum)
                    (type == 15 && [[folders objectAtIndex: fi] showCalendarTasks]))
                  {
                    [commands appendFormat: @"<%@><ServerId>%@</ServerId><ParentId>%@</ParentId><DisplayName>%@</DisplayName><Type>%d</Type></%@>", operation,
-                             [name stringByEscapingURL], @"0", [[[folders objectAtIndex:fi] displayName] activeSyncRepresentationInContext: context], type, operation];
+                       [name stringByEscapingURL], [parent stringByEscapingURL], [[[folders objectAtIndex:fi] displayName] activeSyncRepresentationInContext: context], type, operation];
 
                    command_count++;
 
@@ -1226,9 +1246,19 @@ void handle_eas_terminate(int signum)
              } 
            else if ([[folders objectAtIndex:fi] isKindOfClass: [SOGoContactGCSFolder class]])
              {
-               type = ([[[folders objectAtIndex:fi] nameInContainer] isEqualToString: personalFolderName] ? 9 : 14);
+               if ([[[folders objectAtIndex:fi] nameInContainer] isEqualToString: personalFolderName])
+                 {
+                   type = 9;
+                   parent = @"0";
+                 }
+               else
+                 {
+                   type = 14;
+                   parent = [NSString stringWithFormat: @"vcard/%@",personalFolderName];
+                 }
+
                [commands appendFormat: @"<%@><ServerId>%@</ServerId><ParentId>%@</ParentId><DisplayName>%@</DisplayName><Type>%d</Type></%@>", operation,
-                   [name stringByEscapingURL], @"0", [[[folders objectAtIndex:fi] displayName] activeSyncRepresentationInContext: context], type, operation];
+                   [name stringByEscapingURL], [parent stringByEscapingURL], [[[folders objectAtIndex:fi] displayName] activeSyncRepresentationInContext: context], type, operation];
 
                command_count++;
 
4672.diff (4,964 bytes)   

Related Changesets

sogo: master 1e43a695

2019-09-13 09:45:48

ludovic

Details Diff
(fix) improve FolderSync operation (fixes 0004672) Affected Issues
0004672
mod - ActiveSync/SOGoActiveSyncDispatcher.m Diff File
mod - NEWS Diff File

Issue History

Date Modified Username Field Change
2019-02-08 15:48 Icki153 New Issue
2019-02-08 15:48 Icki153 File Added: android to sogo.txt
2019-02-08 15:49 Icki153 File Added: sogo to android.txt
2019-02-11 01:21 tfu Note Added: 0013329
2019-02-15 16:10 Icki153 Note Added: 0013369
2019-02-15 16:10 Icki153 File Added: android to sogo_1.txt
2019-02-15 16:11 Icki153 File Added: update event on sogo + sync on android.txt
2019-02-16 03:44 tfu Note Added: 0013371
2019-02-16 11:10 Icki153 Note Added: 0013372
2019-02-16 14:51 tfu Note Added: 0013373
2019-02-25 15:14 Icki153 Note Added: 0013416
2019-02-25 15:14 Icki153 File Added: manual_sync.txt
2019-02-26 05:24 tfu Note Added: 0013417
2019-03-09 12:08 Icki153 Note Added: 0013433
2019-03-26 13:55 Socs28 Note Added: 0013497
2019-03-26 13:57 Socs28 Note Added: 0013498
2019-03-28 05:13 tfu Note Added: 0013500
2019-03-28 16:06 Socs28 Note Added: 0013502
2019-03-28 16:53 tfu Note Added: 0013503
2019-03-29 12:46 Socs28 Note Added: 0013505
2019-03-29 18:49 Socs28 Note Added: 0013508
2019-04-06 08:05 tfu Note Added: 0013526
2019-04-07 04:25 tfu Note Added: 0013528
2019-05-03 15:04 DeLord Note Added: 0013561
2019-05-06 08:39 mjnman Note Added: 0013563
2019-05-30 09:42 tfu File Added: 4672.diff
2019-09-13 09:49 ludovic Changeset attached => sogo master 1e43a695
2019-09-13 09:49 ludovic Assigned To => ludovic
2019-09-13 09:49 ludovic Resolution open => fixed
2019-10-28 15:25 ludovic Status new => resolved
2019-10-28 15:25 ludovic Fixed in Version => 4.1.0